'
' Quits Outlook
' use "QuitOutlook.vbs x" to wait x Seconds after termination
'
' Jens Hansen, Systemhaus DMD, 22.10.2002
' www.publicshareware.de 
'

dim oShell
dim oApp
dim oArgs
dim iErrCode
dim iTimeout    ' time to wait in Seconds
dim iMinTimeout ' min waiting time in Seconds
dim iMaxTimeout ' max waiting time in Seconds

iMinTimeout = 5
iMaxTimeout = 60
iTimeout    = iMinTimeout

' Find out if Outlook is running
' iErrCode = 0 -> yes
' iErrCode = 1 -> no

Set oShell = WScript.CreateObject("WScript.Shell")
iErrCode = oShell.Run("pslist.exe outlook", 0, True)   
Set oShell = Nothing


' Quit script, if Outlook is not running

if 1 = iErrCode then
  WScript.Echo WScript.ScriptName & ": Nothing to do"
  WScript.Quit 1
end if


' Quit Outlook
  
Set oApp = WScript.GetObject("","Outlook.Application")
If Typename(oApp) <> "Nothing" then
  WScript.Echo WScript.ScriptName & ": Terminating Outlook"
  oApp.Quit
else
  WScript.Echo WScript.ScriptName & ": Outlook Object not found"
  WScript.Quit 2
end if
Set oApp = Nothing


' read Timeout from Command Line

set oArgs = WScript.Arguments
if oArgs.Count > 0 then
  if isnumeric(oArgs(0)) then
    iTimeout = int(oArgs(0))
  end if
end if
Set oArgs = Nothing


' Wait for x Seconds

if iTimeout > iMaxTimeout then iTimeout = iMaxTimeout 
if iTimeout < iMinTimeout then iTimeout = iMinTimeout 
WScript.Echo WScript.ScriptName & ": Waiting " & iTimeout & " Second(s)"
WScript.Sleep ( iTimeout * 1000 )


